GDAL

Public Member Functions | List of all members
OGRDefaultConstGeometryVisitor Class Reference

OGRGeometry visitor default implementation. More...

`#include <ogr_geometry.h>`

Inheritance diagram for OGRDefaultConstGeometryVisitor:

## Public Member Functions
void | visit (const OGRPoint *) override
| Visit OGRPoint. More...
void | visit (const OGRLineString *) override
| Visit OGRLineString. More...
void | visit (const OGRLinearRing *) override
| Visit OGRLinearRing. More...
void | visit (const OGRPolygon *) override
| Visit OGRPolygon. More...
void | visit (const OGRMultiPoint *) override
| Visit OGRMultiPoint. More...
void | visit (const OGRMultiLineString *) override
| Visit OGRMultiLineString. More...
void | visit (const OGRMultiPolygon *) override
| Visit OGRMultiPolygon. More...
void | visit (const OGRGeometryCollection *) override
| Visit OGRGeometryCollection. More...
void | visit (const OGRCircularString *) override
| Visit OGRCircularString. More...
void | visit (const OGRCompoundCurve *) override
| Visit OGRCompoundCurve. More...
void | visit (const OGRCurvePolygon *) override
| Visit OGRCurvePolygon. More...
void | visit (const OGRMultiCurve *) override
| Visit OGRMultiCurve. More...
void | visit (const OGRMultiSurface *) override
| Visit OGRMultiSurface. More...
void | visit (const OGRTriangle *) override
| Visit OGRTriangle. More...
void | visit (const OGRPolyhedralSurface *) override
| Visit OGRPolyhedralSurface. More...
void | visit (const OGRTriangulatedSurface *) override
| Visit OGRTriangulatedSurface. More...

## Detailed Description

OGRGeometry visitor default implementation.

This default implementation will recurse down to calling visit(const OGRPoint*) on each point.

Since
  GDAL 2.3

## Member Function Documentation

## ◆ visit() [1/16]

void OGRDefaultConstGeometryVisitor::visit | ( | const OGRCircularString * |  | ) |
| overridevirtual

Visit OGRCircularString.

Implements IOGRConstGeometryVisitor.

## ◆ visit() [2/16]

void OGRDefaultConstGeometryVisitor::visit | ( | const OGRCompoundCurve * |  | ) |
| overridevirtual

Visit OGRCompoundCurve.

Implements IOGRConstGeometryVisitor.

## ◆ visit() [3/16]

void OGRDefaultConstGeometryVisitor::visit | ( | const OGRCurvePolygon * |  | ) |
| overridevirtual

Visit OGRCurvePolygon.

Implements IOGRConstGeometryVisitor.

## ◆ visit() [4/16]

void OGRDefaultConstGeometryVisitor::visit | ( | const OGRGeometryCollection * |  | ) |
| overridevirtual

Visit OGRGeometryCollection.

Implements IOGRConstGeometryVisitor.

## ◆ visit() [5/16]

void OGRDefaultConstGeometryVisitor::visit | ( | const OGRLinearRing * |  | ) |
| overridevirtual

Visit OGRLinearRing.

Implements IOGRConstGeometryVisitor.

## ◆ visit() [6/16]

void OGRDefaultConstGeometryVisitor::visit | ( | const OGRLineString * |  | ) |
| overridevirtual

Visit OGRLineString.

Implements IOGRConstGeometryVisitor.

## ◆ visit() [7/16]

void OGRDefaultConstGeometryVisitor::visit | ( | const OGRMultiCurve * |  | ) |
| overridevirtual

Visit OGRMultiCurve.

Implements IOGRConstGeometryVisitor.

## ◆ visit() [8/16]

void OGRDefaultConstGeometryVisitor::visit | ( | const OGRMultiLineString * |  | ) |
| overridevirtual

Visit OGRMultiLineString.

Implements IOGRConstGeometryVisitor.

## ◆ visit() [9/16]

void OGRDefaultConstGeometryVisitor::visit | ( | const OGRMultiPoint * |  | ) |
| overridevirtual

Visit OGRMultiPoint.

Implements IOGRConstGeometryVisitor.

## ◆ visit() [10/16]

void OGRDefaultConstGeometryVisitor::visit | ( | const OGRMultiPolygon * |  | ) |
| overridevirtual

Visit OGRMultiPolygon.

Implements IOGRConstGeometryVisitor.

## ◆ visit() [11/16]

void OGRDefaultConstGeometryVisitor::visit | ( | const OGRMultiSurface * |  | ) |
| overridevirtual

Visit OGRMultiSurface.

Implements IOGRConstGeometryVisitor.

## ◆ visit() [12/16]

void OGRDefaultConstGeometryVisitor::visit | ( | const OGRPoint * |  | ) |
| inlineoverridevirtual

Visit OGRPoint.

Implements IOGRConstGeometryVisitor.

## ◆ visit() [13/16]

void OGRDefaultConstGeometryVisitor::visit | ( | const OGRPolygon * |  | ) |
| overridevirtual

Visit OGRPolygon.

Implements IOGRConstGeometryVisitor.

## ◆ visit() [14/16]

void OGRDefaultConstGeometryVisitor::visit | ( | const OGRPolyhedralSurface * |  | ) |
| overridevirtual

Visit OGRPolyhedralSurface.

Implements IOGRConstGeometryVisitor.

## ◆ visit() [15/16]

void OGRDefaultConstGeometryVisitor::visit | ( | const OGRTriangle * |  | ) |
| overridevirtual

Visit OGRTriangle.

Implements IOGRConstGeometryVisitor.

## ◆ visit() [16/16]

void OGRDefaultConstGeometryVisitor::visit | ( | const OGRTriangulatedSurface * |  | ) |
| overridevirtual

Visit OGRTriangulatedSurface.

Implements IOGRConstGeometryVisitor.

The documentation for this class was generated from the following files:

- ogr_geometry.h
- ogrgeometry.cpp